Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.ha
Interface HAILServerILServiceMBean

All Superinterfaces:
  org.jboss.mq.il.ServerILJMXServiceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  HAILServerILService

public interface HAILServerILServiceMBean
extends org.jboss.mq.il.ServerILJMXServiceMBean

This is the server side MBean for the HAIL transport layer. It builts upon UIL2.

Version:
  $Revision: 1.2 $
Author:
  ivelin@apache.org

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`int` | `getBufferSize()` Gets the buffer size.
`int` | `getChunkSize()` Gets the chunk size.
`String` | `getClientSocketFactory()` Get the javax.net.SocketFactory implementation class to use on the client.
`boolean` | `getEnableTcpNoDelay()` Gets the enableTcpNoDelay.
`InetAddress` | `getServerAddress()`
`Integer` | `getServerPort()`
`javax.management.ObjectName` | `getSharedStateService()` Get the name of the MBean HANotificationBroadcaster.
`javax.management.ObjectName` | `getUILService()` Get the name of the MBean UILService.
`boolean` | `isMasterNode()`
`void` | `setSharedStateService(javax.management.ObjectName sharedStateService)` Set the name of the HAILSharedState MBean .
`void` | `setUILService(javax.management.ObjectName uilService)` Set the name of the MBean UILService.
`void` | `startSingleton()` Invoked when this mbean is elected to run the singleton service, or in other words when this node is elected for master.
`void` | `stopSingleton()` Invoked when this mbean is elected to no longer run the singleton service, or in other words when this node is elected for slave.

Methods inherited from interface org.jboss.mq.il.ServerILJMXServiceMBean
`getClientID, getConnectionFactoryJNDIRef, getJBossMQService, getPingPeriod, getXAConnectionFactoryJNDIRef, setClientID, setConnectionFactoryJNDIRef, setInvoker, setPingPeriod, setXAConnectionFactoryJNDIRef`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getUILService

    public javax.management.ObjectName getUILService()

  Get the name of the MBean UILService.

  Returns:
    name of the MBean UILService.

### setUILService

    public void setUILService(javax.management.ObjectName uilService)

  Set the name of the MBean UILService.

### getSharedStateService

    public javax.management.ObjectName getSharedStateService()

  Get the name of the MBean HANotificationBroadcaster. Used to keep all participating JMS nodes informed about the current singleton server.

  Returns:
    name of the MBean HANotificationBroadcaster.

### setSharedStateService

    public void setSharedStateService(javax.management.ObjectName sharedStateService)

  Set the name of the HAILSharedState MBean .

### isMasterNode

    public boolean isMasterNode()

  Returns:
    true if the node that this MBean is registered with is the master node for the singleton service

### startSingleton

    public void startSingleton()

  Invoked when this mbean is elected to run the singleton service, or in other words when this node is elected for master.

### stopSingleton

    public void stopSingleton()

  Invoked when this mbean is elected to no longer run the singleton service, or in other words when this node is elected for slave.

### getClientSocketFactory

    public String getClientSocketFactory()
                                  throws javax.management.AttributeNotFoundException,
                                         javax.management.InstanceNotFoundException,
                                         javax.management.MBeanException,
                                         javax.management.ReflectionException

  Get the javax.net.SocketFactory implementation class to use on the client.

  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getServerAddress

    public InetAddress getServerAddress()
                                 throws UnknownHostException,
                                        javax.management.AttributeNotFoundException,
                                        javax.management.InstanceNotFoundException,
                                        javax.management.MBeanException,
                                        javax.management.ReflectionException

  Throws:
    `UnknownHostException`
    `javax.management.AttributeNotFoundException`
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getServerPort

    public Integer getServerPort()
                          throws javax.management.AttributeNotFoundException,
                                 javax.management.InstanceNotFoundException,
                                 javax.management.MBeanException,
                                 javax.management.ReflectionException

  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getEnableTcpNoDelay

    public boolean getEnableTcpNoDelay()
                                throws javax.management.AttributeNotFoundException,
                                       javax.management.InstanceNotFoundException,
                                       javax.management.MBeanException,
                                       javax.management.ReflectionException

  Gets the enableTcpNoDelay.

  Returns:
    Returns a boolean
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getChunkSize

    public int getChunkSize()
                     throws javax.management.AttributeNotFoundException,
                            javax.management.InstanceNotFoundException,
                            javax.management.MBeanException,
                            javax.management.ReflectionException

  Gets the chunk size.

  Returns:
    Returns an int
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getBufferSize

    public int getBufferSize()
                      throws javax.management.AttributeNotFoundException,
                             javax.management.InstanceNotFoundException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

  Gets the buffer size.

  Returns:
    Returns an int
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InstanceNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.